Subject: Re: [Bitcoin-development] BIP70: PaymentACK semantics

From: Andreas Schildbach <[email-masked]>
Date: Mon, 27 Jan 2014 16:20:39 +0100

On 01/27/2014 03:54 PM, Gavin Andresen wrote:

> The purpose of PaymentACK is to give the customer reassurance that their
> payment request has been received and will be processed (or not).
> 
> If it is syntactically incorrect or invalid in a way that the payment
> processor can detect right away then a PaymentACK with a message saying
> that there is a problem should be the response.

Thanks for the clarification. So I am *always* supposed to reply with an
ack. I was assuming that if I actually send a nack, I would just close
the connection without sending an ack.

Maybe that should be mentioned in the spec explicitly. I must admit that
I think the name of the message is misleading -- PaymentResponse would
make this clearer.